## NAME

CURLOPT_SSH_HOST_PUBLIC_KEY_MD5 - checksum of SSH server public key

## SYNOPSIS

    #include <curl/curl.h>

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSH_HOST_PUBLIC_KEY_MD5,
                              char *md5);

## DESCRIPTION

Pass a char * pointing to a string containing 32 hexadecimal digits. The string should be the 128 bit MD5 checksum of the remote host's public key, and libcurl will reject the connection to the host unless the md5sums match.

## DEFAULT

NULL

## PROTOCOLS

SCP and SFTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.17.1

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_SSH_PUBLIC_KEYFILE, CURLOPT_SSH_AUTH_TYPES

This HTML page was made with roffit.